aboutsummaryrefslogtreecommitdiffstats
path: root/main/qt5-qtdeclarative/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-05-13 14:26:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-05-15 10:06:34 +0000
commite4d065e0a34b8cdc652335ac0cfe78539d40ac39 (patch)
tree93c36a54cfffec634bd63aa11410f9e2a2337972 /main/qt5-qtdeclarative/APKBUILD
parent2bdad6792d85f706a484581b1ba9f75aaa6c99a9 (diff)
downloadaports-e4d065e0a34b8cdc652335ac0cfe78539d40ac39.tar.gz
aports-e4d065e0a34b8cdc652335ac0cfe78539d40ac39.tar.bz2
aports-e4d065e0a34b8cdc652335ac0cfe78539d40ac39.tar.xz
main/qt5-qtdeclarative: fix conflict with qt4
Diffstat (limited to 'main/qt5-qtdeclarative/APKBUILD')
-rw-r--r--main/qt5-qtdeclarative/APKBUILD13
1 files changed, 7 insertions, 6 deletions
diff --git a/main/qt5-qtdeclarative/APKBUILD b/main/qt5-qtdeclarative/APKBUILD
index 54c8145adc..e9525b79d6 100644
--- a/main/qt5-qtdeclarative/APKBUILD
+++ b/main/qt5-qtdeclarative/APKBUILD
@@ -5,7 +5,7 @@ _ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
_V=${_ver/rc/RC}
-pkgrel=0
+pkgrel=1
pkgdesc="Qt5 - QtDeclarative component"
url="http://qt-project.org/"
arch="all"
@@ -22,6 +22,7 @@ case $pkgver in
esac
source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtdeclarative-opensource-src-$_V.tar.xz"
+_qt5_prefix=/usr/lib/qt5
_builddir="$srcdir"/qtdeclarative-opensource-src-$_V
prepare() {
local i
@@ -35,18 +36,18 @@ prepare() {
build() {
cd "$_builddir"
- qmake && make || return 1
+ qmake-qt5 && make || return 1
}
package() {
cd "$_builddir"
make install INSTALL_ROOT="$pkgdir" || return 1
- rm "$pkgdir"/usr/lib/*.la || return 1
- # work around qt4 conflicts
- for i in qmlplugindump qmlprofiler; do
- mv "$pkgdir"/usr/bin/$i "$pkgdir"/usr/bin/$i-qt5 || return 1
+ mkdir -p "$pkgdir"/usr/bin/
+ for i in "$pkgdir"/$_qt5_prefix/bin/*; do
+ ln -s ../lib/qt5/bin/${i##*/} "$pkgdir"/usr/bin/${i##*/}-qt5 || return 1
done
+
}
md5sums="86dfe5c41e14a142c72fdaa6a64f933c qtdeclarative-opensource-src-5.4.1.tar.xz"